Skip to main content
GET
/
v1
/
secrets
/
{name}
Get Secret
curl --request GET \
  --url https://api.retab.com/v1/secrets/{name} \
  --header 'Api-Key: <api-key>'
{
  "secret": {
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "updated_by": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

Get metadata for one environment-scoped secret. The secret value is not returned.
Python
secret = client.secrets.get_secret("RESEND_API_KEY")
TypeScript
const secret = await client.secrets.get_secret("RESEND_API_KEY");
Go
secret, err := client.Secrets.Get(ctx, "RESEND_API_KEY")
Java
// Get secret metadata with the Retab Java client.
cURL
curl https://api.retab.com/v1/secrets/RESEND_API_KEY \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Path Parameters

name
string
required
Pattern: ^[A-Za-z_][A-Za-z0-9_]*$

Response

Successful Response

secret
Secret · object
required